'use strict';

var micromatch = require('micromatch');

// src/utils.ts
function createPatternMatcher(patterns) {
  if (!patterns) return () => true;
  const patternArray = Array.isArray(patterns) ? patterns : [patterns];
  const includePatterns = patternArray.filter((p) => !p.startsWith("!"));
  const excludePatterns = patternArray.filter((p) => p.startsWith("!")).map((p) => p.slice(1));
  return (fileName) => {
    return micromatch.isMatch(fileName, includePatterns, {
      dot: true,
      ignore: excludePatterns
    });
  };
}

exports.createPatternMatcher = createPatternMatcher;
